@import url('https://fonts.googleapis.com/css2?family=Lexend:wght@375&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
    font-size: 20px;
    color: var(--FO-COLOR);
}

:root {
    color-scheme: light;
    --FO-COLOR: black;
    --BA-COLOR: radial-gradient(hsla(0, 0%, 60%, 0.486), hsla(0, 0%, 10%, 0.486));
    --FO-FAMILY-HEADING: Arial, Helvetica;
    --FONT-LINK: "Funnel Sans";
    --MARGIN-INPUT: 40px 0;
}

body {
    display: grid;
    font-family: "Lexend";
    font-weight: 375;
    width: 100%;
    min-height: 100vh;
    min-height: 100dvh;
    background-image: var(--BA-COLOR);
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
}

header {
    text-align: center;
    padding: 0;
    margin: 0;
}

h1 {
    font-weight: 375;
    text-align: center;
    font-size: clamp(2rem, 4vw, 5rem);
    margin-top: clamp(0.5rem, 2vw, 2rem);
}


form {
    border: none;
    margin: 0;
    padding: 0;
}

.vse {
    display: grid;
    flex-direction: column;
    justify-items: center;
    align-items: center;
    grid-template-rows: repeat(5, auto);
    margin: 1.5rem 0 0;
}


.vse input,
.vse textarea {
    box-sizing: border-box;
    color: black;
    background-color: #f0f0f0;
    text-align: center;
    font-size: clamp(0.5rem, 4vw, 2.5rem);
    /*width: max(15rem, 50%) !important;*/
    width: clamp(15rem, 50vw, 75rem);
    height: clamp(2rem, 8vw, 6rem);
    padding: 1rem;
    border: 2px solid var(--FO-COLOR);
    border-radius: 40px;
    scrollbar-width: none;
    overflow: initial;
}

::placeholder {
    color: hsla(0, 0%, 0%, 0.8);
    text-align: center;
    align-self: center;
    font-size: clamp(0.85rem, 3vw, 2.5rem);

}

.labl {
    font-size: clamp(1rem, 2vw, 2.5rem);
    margin: 1rem 0 0.25rem;
}


textarea {
    font-family: "Lexend";
    resize: none;
    font-size: clamp(0.5rem, 3.5vw, 2rem) !important;
    padding: 1.5rem 2rem;
    border: 2px solid var(--FO-COLOR);
    border-radius: 40px;
    overflow: auto;
    line-height: normal;
}


.submit {
    display: inline-block;
    font-size: clamp(1.5rem, 4.5vw, 3rem);
    font-family: "Lexend";
    border: 2px solid var(--FO-COLOR);
    width: 50% !important;
    border-radius: 40px;
    margin: 20px 0 0;
    padding: 3px 0;
    text-decoration: none;
    text-align: center;
    background-color: hsla(120, 100%, 58%, 0.75);
    color: var(--FO-COLOR);
    cursor: pointer;
    transition: background-color 0.3s ease-in-out, transform 0.3s ease-in-out;
}

.submit:hover,
.submit:focus {
    background-color: hsl(120, 100%, 50%);
    transform: translate(0, -5px);
}

.submit:active {
    background-color: hsla(120, 100%, 50%, 0.404);
    transform: translate(0, 5px);
}


.domov {
    display: inline-block;
    font-size: clamp(1.5rem, 4.5vw, 3rem);
    font-family: "Lexend";
    border: 2px solid var(--FO-COLOR);
    width: 50% !important;
    border-radius: 40px;
    margin: 20px 0;
    padding: 3px 0;
    text-decoration: none;
    text-align: center;
    background-color: #fff;
    color: var(--FO-COLOR);
    cursor: pointer;
    transition: transform 0.3s ease-in-out, font-size 0.3s ease-in-out, background-color 0.3s ease-in-out;
}

.domov:hover,
.domov:focus {
    background-color: #e3e3e3;
    text-decoration: underline;
    color: var(--FO-COLOR);
    transform: scale(1.1);
    font-size: 3.25rem;
}


footer {
    grid-column: 1;
    grid-row: 3;
    width: 100%;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin: 0 auto;
}

.copy {
    width: 100%;
    display: block;
    height: auto;
}


.dam {
    color: var(--FO-COLOR);
    padding: 0 0 10px 0;
    font-size: 2rem;
}

@media (max-width: 600px) {

    h1 {
        margin-top: 2rem;
    }

    .vse {
        margin: 0.75rem 0 0;
    }

    textarea {
        margin: 0 0 1rem;
    }

    .submit,
    .domov {
        width: 75% !important;
    }

    .submit:hover,
    .submit:focus,
    .submit:active {
        transform: none;
        background-color: hsla(120, 100%, 58%, 0.75);
        font-size: clamp(1.5rem, 4.5vw, 3rem) !important;
    }

    .domov:hover,
    .domov:focus,
    .domov:active {
        transform: none !important;
        text-decoration: none;
        font-size: clamp(1.5rem, 4.5vw, 3rem) !important;
    }


}

@media (min-width: 601px) and (max-width: 768px) {

    .submit:hover,
    .submit:active,
    .submit:focus {
        transform: none;
        background-color: hsla(120, 100%, 58%, 0.75);
        font-size: clamp(1.5rem, 4.5vw, 3rem) !important;

    }

    .domov:hover,
    .domov:active,
    .domov:focus {
        transform: none !important;
        font-size: clamp(1.5rem, 4.5vw, 3rem) !important;
    }

}